Skip to main content
POST
/
metadata
/
{projectId}
/
relations
/
{catalogId}
/
{schemaName}
/
{tableName}
/
{columnName}
Add Relation To Metadata
curl --request POST \
  --url https://partner.peaka.studio/api/v1/metadata/{projectId}/relations/{catalogId}/{schemaName}/{tableName}/{columnName} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "targetCatalogId": "<string>",
  "targetSchemaName": "<string>",
  "targetTableName": "<string>",
  "targetColumnName": "<string>",
  "type": "<string>"
}
'
import requests

url = "https://partner.peaka.studio/api/v1/metadata/{projectId}/relations/{catalogId}/{schemaName}/{tableName}/{columnName}"

payload = {
"targetCatalogId": "<string>",
"targetSchemaName": "<string>",
"targetTableName": "<string>",
"targetColumnName": "<string>",
"type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetCatalogId: '<string>',
targetSchemaName: '<string>',
targetTableName: '<string>',
targetColumnName: '<string>',
type: '<string>'
})
};

fetch('https://partner.peaka.studio/api/v1/metadata/{projectId}/relations/{catalogId}/{schemaName}/{tableName}/{columnName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Authorizations

Authorization
string
header
required

Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication

Path Parameters

projectId
string
required
catalogId
string
required
schemaName
string
required
tableName
string
required
columnName
string
required

Body

application/json
targetCatalogId
string
targetSchemaName
string
targetTableName
string
targetColumnName
string
type
string

Response

200 - */*

OK

{key}
object